package com.ssj.service.conch.opentest.dto;

import java.io.Serializable;
import java.util.List;

/**
 * @author Mount Liu
 * @date 2020/05/18
 */
public class KnowledgeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 同步知识点/专题知识纬度
     */
    private String name;

    /**
     * 科目列表
     */
    private List<Knowledge> knowledgeList;

    public class Knowledge implements Serializable {

        private static final long serialVersionUID = 1L;
        /**
         * 专题知识点
         */
        private String name;

        public String getName() {
            return name;
        }

        public void setName(String name) {
            this.name = name;
        }
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public List<Knowledge> getKnowledgeList() {
        return knowledgeList;
    }

    public void setKnowledgeList(List<Knowledge> knowledgeList) {
        this.knowledgeList = knowledgeList;
    }
}
